-- Once script tbv care.
--
-- (c) 2012 SG|facilitor bv
-- $Revision: 11549 $
-- $Id$
--
-- Support: +31 53 4800700
SET ECHO ON
SPOOL xcare19_20.lst
SET DEFINE OFF

DROP TABLE CARE_T_QVW_PERIODEWEEKTABEL;

CREATE TABLE CARE_T_QVW_PERIODEWEEKTABEL
(
  JAAR VARCHAR(4),
  PERIODE NUMBER(2),
  WEEK VARCHAR(4),
  MAANDAG DATE
);

-- Afwijkend tav CARE_INI.SRC: Voor BONS en met name ATCH met 4 jaar terug in de tijd, om deze historie in beeld te krijgen.
INSERT INTO care_t_qvw_periodeweektabel
SELECT 
    TO_CHAR (SYSDATE - 7*(LEVEL-1), 'IYYY') jaar,
    DECODE(FLOOR((TO_CHAR (SYSDATE - 7*(LEVEL-1),'IW') - 1) /4) + 1, 14, 13,FLOOR((TO_CHAR (SYSDATE - 7*(LEVEL-1),'IW') - 1) /4) + 1)  periode,
    TO_CHAR (SYSDATE - 7*(LEVEL-1), 'IW') week,
    TRUNC (SYSDATE - 7*(LEVEL-1), 'IW') startdatum
FROM  DUAL
CONNECT BY LEVEL <= 4*52+1
UNION
SELECT 
    TO_CHAR (SYSDATE + 7*(LEVEL), 'IYYY') jaar,
    DECODE(FLOOR((TO_CHAR (SYSDATE + 7*(LEVEL),'IW') - 1) /4) + 1, 14, 13,FLOOR((TO_CHAR (SYSDATE + 7*(LEVEL),'IW') - 1) /4) + 1)  periode,
    TO_CHAR (SYSDATE + 7*(LEVEL), 'IW') week,
    TRUNC (SYSDATE + 7*(LEVEL), 'IW') startdatum
FROM  DUAL
CONNECT BY LEVEL <= 20*52+1;

COMMIT;

SPOOL OFF

START RECAR20.sql;

